summaryrefslogtreecommitdiffstats
path: root/source.local/d/autoconf
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/d/autoconf
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/d/autoconf')
-rw-r--r--source.local/d/autoconf/autoconf-2.69.tar.xz.sig12
-rwxr-xr-xsource.local/d/autoconf/autoconf.SlackBuild101
-rw-r--r--source.local/d/autoconf/doinst.sh.gzbin0 -> 339 bytes
-rw-r--r--source.local/d/autoconf/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/source.local/d/autoconf/autoconf-2.69.tar.xz.sig b/source.local/d/autoconf/autoconf-2.69.tar.xz.sig
new file mode 100644
index 0000000..0d91e14
--- /dev/null
+++ b/source.local/d/autoconf/autoconf-2.69.tar.xz.sig
@@ -0,0 +1,12 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.12 (GNU/Linux)
+Comment: Public key at http://people.redhat.com/eblake/eblake.gpg
+
+iQEcBAABCAAGBQJPl2ywAAoJEKeha0olJ0NqNw4H/iE/3c49sbxih9wUfwsHyRFI
+IEu3j2EQ85dHE0UojMVCULgsp9wEvfN1YChQICYQ0s0l29UzK2beA8EbiO+/LDHT
+pwALGFx985xg71OU2DSxCEP+6PTnMbjgrnVDreqbAMvZkC/xp3JTheTKn2HCjuxy
+Ldb+O55lWdpp1xQxGJg1lIn9d+ILOtzwPJgsMatH6/A+GUjNB0bL0Z6LgaUjuRpB
+0ghn9f2m5juVvaW8R6Tr0rXpy7+Eu2JgNA5EQa1ysx0KuuM0NldZNmAn8jmnsHuu
+f0aEKRHyP0yP/9yC6zHASmeiZatv26Gps24Kbmcg9BT1J/4zz1uAMK0/BWLBads=
+=88Gq
+-----END PGP SIGNATURE-----
diff --git a/source.local/d/autoconf/autoconf.SlackBuild b/source.local/d/autoconf/autoconf.SlackBuild
new file mode 100755
index 0000000..d7067db
--- /dev/null
+++ b/source.local/d/autoconf/autoconf.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Copyright 2005-2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=autoconf
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Note: the package is _built_ as 'noarch'
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-autoconf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf autoconf-$VERSION
+tar xvf $CWD/autoconf-$VERSION.tar.xz || exit 1
+cd autoconf-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --build=$TARGET || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+gzip -9 $PKG/usr/man/man1/*.?
+
+mkdir -p $PKG/usr/doc/autoconf-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING* NEWS README* THANKS TODO \
+ $PKG/usr/doc/autoconf-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/autoconf-$VERSION-noarch-$BUILD.txz
+
diff --git a/source.local/d/autoconf/doinst.sh.gz b/source.local/d/autoconf/doinst.sh.gz
new file mode 100644
index 0000000..d885191
--- /dev/null
+++ b/source.local/d/autoconf/doinst.sh.gz
Binary files differ
diff --git a/source.local/d/autoconf/slack-desc b/source.local/d/autoconf/slack-desc
new file mode 100644
index 0000000..4a3b9a9
--- /dev/null
+++ b/source.local/d/autoconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+autoconf: autoconf (generate configuration scripts)
+autoconf:
+autoconf: GNU autoconf is an extensible package of m4 macros that produce shell
+autoconf: scripts to automatically configure software source code packages.
+autoconf: These scripts can adapt the packages to many kinds of UNIX-like
+autoconf: systems without manual user intervention. Autoconf creates a
+autoconf: configuration script for a package from a template file that lists the
+autoconf: operating system features that the package can use, in the form of m4
+autoconf: macro calls. You must install the "m4" package to be able to use
+autoconf: autoconf.
+autoconf: